# Awesome Mastodon [![Awesome](https://cdn.rawgit.com/sindresorhus/awesome/d7305f38d29fed78fa85652e3a63e154dd8e8829/media/badge.svg)](https://github.com/sindresorhus/awesome)

> Curated list of Mastodon-related stuff!

## Table of content

* [Documentation](#documentation)
* [Clients](#clients)
* [User styles](#user-styles)
* [User scripts](#user-scripts)
* [Bots](#bots)
* [News & magazines bots](#news-magazines-bots)
* [Librairies](#librairies)
* [Bot frameworks](#bot-frameworks)

## Documentation

* [What I wish I knew before joining Mastodon](https://hackernoon.com/what-i-wish-i-knew-before-joining-mastodon-7a17e7f12a2b) - An introduction to Mastodon.
* [Wiki](https://en.mstdn.wiki/Main_Page) - The Mastodon Community Wiki.

## Clients

* [Tusky](https://play.google.com/store/apps/details?id=com.keylesspalace.tusky) - An Android client.
* [TootyFruity](https://play.google.com/store/apps/details?id=ch.kevinegli.tootyfruity221258) - An Android app for Mastodon.
* [Twidere](https://f-droid.org/repository/browse/?fdid=org.mariotaku.twidere) - An Android app for Twitter, GNU Social and Mastodon.

## User styles

* [Variable width](https://userstyles.org/styles/139721/mastodon-variable-width) - Makes Mastodon scale with the browser's width.
* [Narrow drawer](https://userstyles.org/styles/141457/mastodon-dynamic-wide-columns-narrow-drawer) - With the variable width style, makes the drawer narrower and the other columns scale accordingly.

## User scripts

* [NSFW Remover](https://greasyfork.org/fr/scripts/29228-mastodon-nsfw-remover) - Automatically display NSFW images.
* [Customizable interface](https://openuserjs.org/scripts/bl00m/Mastodon_Customizable_Interface) - Move and resize columns on a grid.

## Bots

* [feed2toot](https://gitlab.com/chaica/feed2toot) - Automatically parses rss feeds, identifies new posts and posts them on Mastodon (Python).
* [usercount](https://github.com/josefkenny/usercount) - A bot which posts user statistics to Mastodon (Python).
* [autofollow](https://github.com/gled-rs/mastodon-autofollow) - An autofollow bot for Mastodon (Python).
* [hnbot](https://github.com/raymestalez/mastodon-hnbot) - Posts the Hacker News stories with 100+ points (Python).
* [translator](https://christopher.su/projects/translator/) - Translate any toot into the desired language using `@translator@toot.works [langcode]`.
* [@TrendingBot@mastodon.social](https://mastodon.social/@TrendingBot) - Shows you what's trending on Mastodon.

## News & magazines bots
Please note: most of them are non-official. We do not *recommend* any, they are listed here for your information, in no particular order.

### English

* [@arstechnica@social.undernet.uy](https://social.undernet.uy/arstechnica) - Ars Technica
* [@wired@social.undernet.uy](https://social.undernet.uy/wired) - Wired
* [@guiardian@social.undernet.uy](https://social.undernet.uy/guardian) - Guardian
* [@bbc@social.undernet.uy](https://social.undernet.uy/bbc) - BBC
* [theverge@social.undernet.uy](https://social.undernet.uy/theverge) - The Verge
* [@newsstream@quitter.im](https://quitter.im/newsstream) - News Steam
* [@intercept@social.undernet.uy](https://social.undernet.uy/intercept) - The Intercept
* [@HackerNewsBot@mastodon.social](https://mastodon.social/@HackerNewsBot) - Hacker News

### French


* [@afpfr@mastodon.nuzgo.net](https://mastodon.nuzgo.net/@afpfr) - Agence France-Presse
* [@BFMTV@mastodon.social](https://mastodon.social/@BFMTV) - BFMTV
* [@courrierinter@mastodon.xyz](https://mastodon.xyz/@courrierinter) - Courrier international
* [@artefr@mamot.fr](https://mamot.fr/@artefr) - Arte
* [@franceinfo@mastodon.nuzgo.net](https://mastodon.nuzgo.net/@franceinfo) - France Info
* [@letemps@mastodon.blue](https://mastodon.blue/@letemps) - Le Temps
* [@lemondebot@mastodon.xyz](https://mastodon.xyz/@lemondebot) - Le Monde
* [@libe@mamot.fr](https://mamot.fr/@libe) - Libération
* [@limportant@social.mordicux.xyz](https://social.mordicux.xyz/@limportant) - L'Important
* [@le_figaro@mastodon.social](https://mastodon.social/@le_figuaro) - Le Figaro
* [@le_gorafi@apoil.org](https://apoil.org/@le_gorafi) - Le Gorafi
* [@lesechos@mastodon.nuzgo.net](https://mastodon.nuzgo.net/@lesechos) - Les Echos
* [@lesjoursfr@mamot.fr](https://mamot.fr/@lesjoursfr) - Les Jours
* [@lexpress@framapiaf.org](https://framapiaf.org/@lexpress) - L'Express
* [@mdiplo@mamot.fr](https://mamot.fr/@mdiplo) - Le Monde Diplomatique
* [@Mediapart@mastodon.social](https://mastodon.social/@Mediapart) - Mediapart
* [@NextInpact@mamot.fr](https://mamot.fr/@NextInpact) - NextInpact
* [@TV5Monde@mamot.fr](https://mamot.fr/@TV5Monde) - TV5 Monde
* [@tedtalks@3.nu](https://3.nu/@tedtalks) - TED Talks
* [@sciencesetavenirbot@3.nu](https://3.nu/@sciencesetavenir) - Sciences et Avenir

## Librairies

* [Mastodon.py](https://github.com/halcy/Mastodon.py) - Python wrapper for the Mastodon API.

## Bot frameworks


## License

[![CC0](http://mirrors.creativecommons.org/presskit/buttons/88x31/svg/cc-zero.svg)](https://creativecommons.org/publicdomain/zero/1.0/)
